Issue 72751

Summary: HSQL databases cannot be accessed anymore
Product: Base Reporter: Frank Schönheit <frank.schoenheit>
Component: codeAssignee: Frank Schönheit <frank.schoenheit>
Status: CLOSED FIXED QA Contact: issues@dba <issues>
Severity: Trivial    
Priority: P2 CC: issues, lohmaier, pavel
Version: 680m197Keywords: oooqa, regression
Target Milestone: OOo 2.2   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
database document to reproduce the bug case none

Description Frank Schönheit 2006-12-19 12:00:30 UTC
- open the attached database document in 680m197
- select "Tables" on the left hand side
=> error message "The connection to the data source "hsqldb" could not be
established."

Seems that *no* HSQLDB database document can be accessed anymore.
Comment 1 Frank Schönheit 2006-12-19 12:01:05 UTC
Created attachment 41552 [details]
database document to reproduce the bug case
Comment 2 Frank Schönheit 2006-12-19 12:01:52 UTC
Used to work in m196.
Comment 3 Frank Schönheit 2006-12-19 12:05:05 UTC
fixed in CWS revivehsqldb

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Frevivehsqldb
Comment 4 lohmaier 2006-12-21 15:35:08 UTC
build breaks on linux and mac, cws is already integrated but the issue is not
yet verified :-(

ERROR: error 65280 occurred while making
/Users/buildslave/compile/shadow/connectivity/com/sun/star/sdbcx/comp/hsqldb

linux breaker-log:
http://go-oo.org/tinderbox/full/1166572563.31746.html.gz
mac breaker-log
http://go-oo.org/tinderbox/full/1166621209.24857.html.gz
second linux box:
http://go-oo.org/tinderbox/full/1166549649.20939.html.gz
Comment 5 lohmaier 2006-12-21 15:37:51 UTC
(ignore the second linux log, that one didn't have the icu patch applied and
breaks becasue of icu, not because of revivehsqldb)
Comment 6 lohmaier 2006-12-21 15:51:05 UTC
For your convenience:

/Users/buildslave/compile/cloph05/connectivity/com/sun/star/sdbcx/comp/hsqldb
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
Making dpj...
dmake: Executing shell macro: +$(STARDEP) @$(mktmp -o $@ -i $(CLASSDIR)
$(foreach,i,$(JAVADEPINCLUDES:s/:/ /) -i $i) $(JAVACLASSFILES))

rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
rm -f ../../../../../../unxmacxp.pro/misc/sdbc_hsqldb_dummy.java >& /dev/null
dmake:  Error: --
`../../../../../../unxmacxp.pro/class/org/hsqldb/lib/FileSystemRuntimeException.class'
not found, and can't be made
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making
/Users/buildslave/compile/cloph05/connectivity/com/sun/star/sdbcx/comp/hsqldb
Comment 7 ocke.janssen 2006-12-22 10:43:50 UTC
*** Issue 72874 has been marked as a duplicate of this issue. ***
Comment 8 Frank Schönheit 2006-12-22 21:17:25 UTC
For the record: I think the fact that the issue was not VERIFIED was just an
error on msc's side (I know he verified it, since I know he added a check for
this bug to his update test (which is run on every master)). That's probably
because I urged him to handle the CWS *quickly*, since I wanted the fix to be in
m198.

For a comment on the build breaker, see issue 72858.
Comment 9 ace_dent 2008-05-17 21:03:28 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 10 ace_dent 2008-05-17 23:05:34 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew